%global srcname flask-limiter

Name:           python-%{srcname}
Version:        3.1.0
Release:        1%{?dist}
Summary:        Rate Limiting extension for Flask

License:        MIT
URL:            https://%{srcname}.readthedocs.io/
Source0:        https://github.com/alisaifee/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
# Fix dependency versions
Patch0:         %{name}-3.1.0-dependencies.patch
# Restore support for limits < 2.8 (see
# https://github.com/alisaifee/flask-limiter/commit/94d12df)
Patch1:         %{name}-3.1.0-limits.patch

BuildRequires:  python3-devel
BuildArch:      noarch

%description
%{summary}.


%pyproject_extras_subpkg -n %{name} redis
%pyproject_extras_subpkg -n %{name} memcached
%pyproject_extras_subpkg -n %{name} mongodb


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
%{summary}.


%prep
%autosetup -n %{srcname}-%{version} -p0


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flask_limiter


%check
# Unit tests require the hiro library (unavailable in Fedora)
%py3_check_import flask_limiter


%files -n python3-%{srcname} -f %{pyproject_files}
%doc CONTRIBUTIONS.rst HISTORY.rst README.rst
%license LICENSE.txt


%changelog
* Tue Jan 03 2023 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.1.0-1
- Initial RPM release
